Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Analyzers/BestKnapsackSolutionAnalyzer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Analyzers/BestKnapsackSolutionAnalyzer.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Analyzers/BestKnapsackSolutionAnalyzer.cs	(revision 15018)
@@ -73,5 +73,5 @@
 
     [StorableConstructor]
-    protected BestKnapsackSolutionAnalyzer(bool deserializing) : base(deserializing) { }
+    protected BestKnapsackSolutionAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BestKnapsackSolutionAnalyzer(BestKnapsackSolutionAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public BestKnapsackSolutionAnalyzer()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Evaluators/KnapsackEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Evaluators/KnapsackEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Evaluators/KnapsackEvaluator.cs	(revision 15018)
@@ -70,5 +70,5 @@
 
     [StorableConstructor]
-    protected KnapsackEvaluator(bool deserializing) : base(deserializing) { }
+    protected KnapsackEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected KnapsackEvaluator(KnapsackEvaluator original, Cloner cloner) : base(original, cloner) { }
     public KnapsackEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Improvers/KnapsackImprovementOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Improvers/KnapsackImprovementOperator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/Improvers/KnapsackImprovementOperator.cs	(revision 15018)
@@ -86,5 +86,5 @@
 
     [StorableConstructor]
-    private KnapsackImprovementOperator(bool deserializing) : base(deserializing) { }
+    private KnapsackImprovementOperator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private KnapsackImprovementOperator(KnapsackImprovementOperator original, Cloner cloner) : base(original, cloner) { }
     public KnapsackImprovementOperator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/KnapsackProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/KnapsackProblem.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/KnapsackProblem.cs	(revision 15018)
@@ -99,5 +99,5 @@
 
     [StorableConstructor]
-    private KnapsackProblem(bool deserializing) : base(deserializing) { }
+    private KnapsackProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
     private KnapsackProblem(KnapsackProblem original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/KnapsackSolution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/KnapsackSolution.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/KnapsackSolution.cs	(revision 15018)
@@ -110,5 +110,5 @@
 
     [StorableConstructor]
-    protected KnapsackSolution(bool deserializing) : base(deserializing) { }
+    protected KnapsackSolution(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected KnapsackSolution(KnapsackSolution original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/MoveEvaluators/KnapsackMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/MoveEvaluators/KnapsackMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/MoveEvaluators/KnapsackMoveEvaluator.cs	(revision 15018)
@@ -59,5 +59,5 @@
 
     [StorableConstructor]
-    protected KnapsackMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected KnapsackMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected KnapsackMoveEvaluator(KnapsackMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     protected KnapsackMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/MoveEvaluators/KnapsackOneBitflipMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/MoveEvaluators/KnapsackOneBitflipMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/MoveEvaluators/KnapsackOneBitflipMoveEvaluator.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    protected KnapsackOneBitflipMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected KnapsackOneBitflipMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected KnapsackOneBitflipMoveEvaluator(KnapsackOneBitflipMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public KnapsackOneBitflipMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/PathRelinkers/KnapsackPathRelinker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/PathRelinkers/KnapsackPathRelinker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/PathRelinkers/KnapsackPathRelinker.cs	(revision 15018)
@@ -41,5 +41,5 @@
   public sealed class KnapsackPathRelinker : SingleObjectivePathRelinker {
     [StorableConstructor]
-    private KnapsackPathRelinker(bool deserializing) : base(deserializing) { }
+    private KnapsackPathRelinker(StorableConstructorFlag deserializing) : base(deserializing) { }
     private KnapsackPathRelinker(KnapsackPathRelinker original, Cloner cloner) : base(original, cloner) { }
     public KnapsackPathRelinker() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/PathRelinkers/KnapsackSimultaneousPathRelinker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/PathRelinkers/KnapsackSimultaneousPathRelinker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/PathRelinkers/KnapsackSimultaneousPathRelinker.cs	(revision 15018)
@@ -41,5 +41,5 @@
   public sealed class KnapsackSimultaneousPathRelinker : SingleObjectivePathRelinker {
     [StorableConstructor]
-    private KnapsackSimultaneousPathRelinker(bool deserializing) : base(deserializing) { }
+    private KnapsackSimultaneousPathRelinker(StorableConstructorFlag deserializing) : base(deserializing) { }
     private KnapsackSimultaneousPathRelinker(KnapsackSimultaneousPathRelinker original, Cloner cloner) : base(original, cloner) { }
     public KnapsackSimultaneousPathRelinker() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/SimilarityCalculators/KnapsackSimilarityCalculator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/SimilarityCalculators/KnapsackSimilarityCalculator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Knapsack/3.3/SimilarityCalculators/KnapsackSimilarityCalculator.cs	(revision 15018)
@@ -42,5 +42,5 @@
     protected override bool IsCommutative { get { return true; } }
 
-    private KnapsackSimilarityCalculator(bool deserializing) : base(deserializing) { }
+    private KnapsackSimilarityCalculator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private KnapsackSimilarityCalculator(KnapsackSimilarityCalculator original, Cloner cloner) : base(original, cloner) { }
     public KnapsackSimilarityCalculator() : base() { }
